summaryrefslogtreecommitdiffstats
path: root/tests/common/L_mount.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/common/L_mount.sh')
-rw-r--r--tests/common/L_mount.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/tests/common/L_mount.sh b/tests/common/L_mount.sh
index 9ab785e..b04acd0 100644
--- a/tests/common/L_mount.sh
+++ b/tests/common/L_mount.sh
@@ -1,11 +1,10 @@
-test "$SUDO" || skip
test "$UNAME" = "Darwin" && skip
clean_scratch
mkdir scratch/{foo,mnt}
-sudo mount -t tmpfs tmpfs scratch/mnt
-trap "sudo umount scratch/mnt" EXIT
+bfs_sudo mount -t tmpfs tmpfs scratch/mnt || skip
+trap "bfs_sudo umount scratch/mnt" EXIT
ln -s ../mnt scratch/foo/bar
"$XTOUCH" scratch/mnt/baz